package no.valg.valgnatt.backend.mandatberegning.domene;

public class KommuneKrets implements Comparable<KommuneKrets> {
	private final String kommNr;
	private final String kretsNr;


	KommuneKrets(String kommNr, String kretsNr) {
		this.kretsNr = kretsNr;
		this.kommNr = kommNr;
	}

	public String toString() {
		String retStr = "";
		if (kommNr != null) {
			retStr = kommNr;
		}
		if (kretsNr != null) {
			retStr += "-" + kretsNr;
		}
		return retStr;
	}

	public String getKommNr() {
		return kommNr;
	}

	public String getKretsNr() {
		return kretsNr;
	}

	@Override
	public int hashCode() {
		return id().hashCode();
	}

	private String id() {
		return kommNr + "-" + kretsNr;
	}

	@Override
	public boolean equals(Object obj) {
		return obj == null || obj.getClass() != this.getClass() ? false : id().equals(((KommuneKrets) obj).id());
	}

	@Override
	public int compareTo(KommuneKrets o) {
		return id().compareTo(o.id());
	}
}
